Jump to content
rafaxpto

Free FAQ Module v1.0

Recommended Posts

anybody know how to make faq module work with prestashop 1.4?
would love to add this mod.


I am also interested.
Thank you for this module!

Share this post


Link to post
Share on other sites

PS 1.3.5 and faq1.3.2 with matrice themes.
2 problem on mine.
FAQ display on leftside ( please see att. pic. ) and my BO did not showing any option on input section.
Please help.

39087_nayLo5BimgIYU8Q6yvsj_t

39086_mz25tBa2FGevAA95Rqdq_t

Share this post


Link to post
Share on other sites

I also like this module for presta 1.3.
I'm disappointed that it's not compatible with presta 1.4.
Site content section and right module columns are empty when activate FAQ

please upgrade it

Share this post


Link to post
Share on other sites

I use 1.3.7. Since my last update from 1.3.5 it doesn't do what it did before. It worked fine in 1.3.5, but now I am getting 2 errrors:

--- details ---
Foutdetails webpagina

Gebruikersagent: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.1; Trident/4.0; .NET CLR 2.0.50727; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729; .NET CLR 1.1.4322)
Tijdstempel: Mon, 28 Mar 2011 15:08:21 UTC


Bericht: Deze eigenschap of methode wordt niet ondersteund door dit object
Regel: 139
Teken: 2
Code: 0
URI: http://shop.hoboenzo.nl/modules/faq/faqs.php


Bericht: Deze eigenschap of methode wordt niet ondersteund door dit object
Regel: 139
Teken: 2
Code: 0
URI: http://shop.hoboenzo.nl/modules/faq/faqs.php

--- end details ---

Maybe someone can help with this. THe problem I am facing is: I can see the Questions but not the answers, also when I click on a question ( like it supposed to work) it doesn't show the answers.

Share this post


Link to post
Share on other sites

Hi all,

Great module and very useful.

I would like to have a second FAQ module on the same site. How would I duplicate it?

Would it be just a case of renaming 'faq' to faq2' or something. How about in the files? would these need to be changed as well?


Thanks.

Edit: Changed all entries 'faq' to 'faq2'. Changed file names to include a 2. Changed the ddaccordion entries to ddaccordion2 as well.
It all seems to work except for the accordion effect.

Any advice please.


Thanks

Share this post


Link to post
Share on other sites

Bonjour à tous,
Ce module est très sympa et utile mais il y a un hic : comment réorganisé les questions dans la FAQ (l'ordre) ?
Merci d'avance

Share this post


Link to post
Share on other sites

Hi, may I know how am I able to rearrange the FAQs?

Share this post


Link to post
Share on other sites
I also like this module for presta 1.3.
I'm disappointed that it's not compatible with presta 1.4.
Site content section and right module columns are empty when activate FAQ

please upgrade it


I have updated this module, and it works at localhost.

faq.zip

Share this post


Link to post
Share on other sites

Good change, compatible with version 1.4
But the problem with Google Adsense Module v1.1
The text this GoggleAdsene ad disappears when viewing the FAQ Header
few changes and it will be perfect! :)

Share this post


Link to post
Share on other sites

Help
I Use Prestashop 1.4.1.0
Module FAQ ver. 1.4.0, but does not displaying TINYMCE EDITOR

44226_xS3LwR00kHcvOQ2fcXbd_t

Share this post


Link to post
Share on other sites

Solved by changing these lines in faq.php

Line260:[removed][removed]
Line290:language : "'.(file_exists(_PS_ROOT_DIR_.'/js/tiny_mce/langs/'.$iso.'.js') ? $iso : 'en').'"
:)

Share this post


Link to post
Share on other sites

Bonsoir à tous !

Très bon module et bien utile, merci :)

ci-joint le fichier langue en fr (a mettre dans le module)

fr.php

Share this post


Link to post
Share on other sites
Guest danielias

I took the liberty of making the images transparent & more 3d (height of 25px) . I hope helps to someone.

Excellent module.

Best regards

faq-1.3.2.zip

44334_N6fPzOfO7eL3kCpyR7ck_t

Share this post


Link to post
Share on other sites
I took the liberty of making the images transparent & more 3d (height of 25px) . I hope helps to someone.

Excellent module.

Best regards


This module work on PS 1.4.1 ?
Thank you in advance ;)

Share this post


Link to post
Share on other sites

hi adibaro !

yes it's works fine !

Have a nice day

Share this post


Link to post
Share on other sites

Bonjour,
Je viens de telecharger la version 1.3.2 et l'installer sur mon site version prestashop 1.4.1.0, malheureusement elle ne fonctionne pas, j'ai bien le bloc en BO mais losque je clique sur la question, il n'y a pas la réponse et cela supprime la colonne de droite, avez-vous une réponse a m'apporter?
Merci

Share this post


Link to post
Share on other sites

Bonjour,

essayez avec la version du message 212 ci-dessus, ca marche impec chez moi.
J'ai mis le fichier fr.php plus bas à mettre dans le module faq

bonne journée !

Share this post


Link to post
Share on other sites

Merci, cela fonctionne très bien, as-tu remarque la bande bleue des questions elle est plus courte que celle des réponses,
sais-tu de quelle facon la modifié?

Share this post


Link to post
Share on other sites
I took the liberty of making the images transparent & more 3d (height of 25px) . I hope helps to someone.

Excellent module.

Best regards


Peux-tu me dire de quelle maniere tu as change les couleurs des lignes, car elles ne sont pas de même longueur.
Merci

Share this post


Link to post
Share on other sites
hi adibaro !

yes it's works fine !

Have a nice day


At mine work just to activate on BO , to put a new question and a new answer, but after i try to check on the FO , i see just the module FAQ and the default question ...like " you need help ...click here... " after i click on this the page is empty ...no question and no answer. what version of FAQ u use on PS 1.4.1 and work at you ?

Thank you again !

Share this post


Link to post
Share on other sites
Guest danielias
I took the liberty of making the images transparent & more 3d (height of 25px) . I hope helps to someone.

Excellent module.

Best regards


Peux-tu me dire de quelle maniere tu as change les couleurs des lignes, car elles ne sont pas de même longueur.
Merci


Cette taille de l'image dont vous avez besoin? dites-moi, y croire et télécharger pour vous. Si vous souhaitez créer votre propre. J'utilise le "Maker Deluxe Web Button."

Share this post


Link to post
Share on other sites

Voici une copie d'ecran, mais je pense avoir trouver les originaux des images bleues, et je vais les modifie en longueur,
Merci

44627_7HJoRe1ohjs44jz82eye_t

Share this post


Link to post
Share on other sites

Voila c'est modifié si cela peut aide, je joinds les deux images qui fonctionnent avec la version 1.4.1.0,

Sambote

44630_2WjqPHiL6v0h31EhnzxP_t

44631_MUZ0Iy3yu3x9YVQMal3T_t

Share this post


Link to post
Share on other sites
Voila c'est modifié si cela peut aide, je joinds les deux images qui fonctionnent avec la version 1.4.1.0,

Sambote


When i install this module i get one error and the smarty tell me i have some problems at line 433. Whatever at mine not work :(

Offtopic, you know a module for blog ? I mean a free blog integrated on prestashop. I found a few but all are with payment method :(

Share this post


Link to post
Share on other sites

Hello adibaro,

try with the version of the message 212 above, it works at my house spotless.

Is that your theme is compatible v 1.4.1?
If you have other problems trying to disable Smarty3 smarty2 in BO/preferences.

good day!

Share this post


Link to post
Share on other sites
Hello adibaro,

try with the version of the message 212 above, it works at my house spotless.

Is that your theme is compatible v 1.4.1?
If you have other problems trying to disable Smarty3 smarty2 in BO/preferences.

good day!

Yeah, my theme is compatible, i`ll use your advice for smarty2 but i don`t know what u wish to say at message 212? What is this "message 212"? Thank you!

Share this post


Link to post
Share on other sites

I resolved :) I use version 1.2.1 perhaps this u wish to say to use :) "message 2.1.2" :) , Works fine, but now , is any one here to know how can i use this FAQ on BO with TinyMCE options ? Thank you again !

Share this post


Link to post
Share on other sites
:Pat the top right of the posts of this forum there are a number of message, I said to the attachment of the message 212, which called faq.zip page 15 of this forum :P

Share this post


Link to post
Share on other sites
:Pat the top right of the posts of this forum there are a number of message, I said to the attachment of the message 212, which called faq.zip page 15 of this forum :P


Thank you Eolia! All work fine ;)

About Blog Module u have some points ? :P

Share this post


Link to post
Share on other sites

TinyMCE editor not working on PS 1.4.10 due to faq.php line 260 onwards not pointing to the TinyMCE script.

I tried modifying the line to the new 1.4.10 js folder but still not working.

Anyone more versed with the code of faq.php and TinyMCE willing to help?

Share this post


Link to post
Share on other sites

Hey,
I have an issue with this. I am using PS 1.4.1 and when I go to ""Add a module from my computer"" then to ""Module file"" and then ""Upload"". It seems to process the request and refresh the Modules page. But it does not show the module there.
Any help will be appreciated.

Thank you.

P.S. I used the Kelvinlym posted above here.

Share this post


Link to post
Share on other sites

Hi.
Thanks for contribute great module!
It works well and fantastic but I would like to change the background color of question and answer
from light blue to wihte or nothing.. becacuse current color is not matching to my theme..

please let me know which file I should edit and how..!

thx

Share this post


Link to post
Share on other sites
Hey,
I have an issue with this. I am using PS 1.4.1 and when I go to ""Add a module from my computer"" then to ""Module file"" and then ""Upload"". It seems to process the request and refresh the Modules page. But it does not show the module there.
Any help will be appreciated.

Thank you.

P.S. I used the Kelvinlym posted above here.


Hi, Im also using PS version 1.4.1 but I didnt find any trouble when I uploaded this module.
I think its because I added config.xml file into the module. Without this config.xml, almost every module will be rejected by PS 1.4.1.

So, I think you might want to give it a try :)

Share this post


Link to post
Share on other sites
Hi.
Thanks for contribute great module!
It works well and fantastic but I would like to change the background color of question and answer
from light blue to wihte or nothing.. becacuse current color is not matching to my theme..

please let me know which file I should edit and how..!

thx


You can do so by making images of our own and change them in faq/lib/img folder.
There are two files in it: tab_bg.gif and tab_bg_selected.gif
Put these in photoshop, change the color, upload them and you're good to go.

Share this post


Link to post
Share on other sites

I want to change the position FAQ section is displayed.
Please see attached image for clearer view of what I want to achieve.

I've played around by transplanting-unhooking it but it still doesn't want to move lower. Any help would be appreciated.
Thank you.



Updated:

Never mind, got this working :)

Share this post


Link to post
Share on other sites

Have installed the version shown in message 212. Installation was fine, and I was able to add a few questions from the backend (although Tiny MCE wasn't working). My link shows up in the left hand column, but when I click on it, the faq page isn't found, and I get an error from my server.

Any help?

Thanks

Share this post


Link to post
Share on other sites

this FAQ module is great,
the module works on PS 1.4, the faq is on the message 212
thanks a lot,

ornot

Share this post


Link to post
Share on other sites

Bonjour,

Je travaille avec prestashop 1.4.2.5.
J'ai installé le module donnée en page 15 et le fr.php avec, il fonctionne mis à part que je ne peux ni éditer ni mettre en forme le texte.
Quelqu'un saurait-il pourquoi ?

Merci d'avance

P.S. : Je ne suis pas bonne en anglais alors si ce problème a été résolu en anglais j'aimerais bien que quelqu'un me dise la solution en français ^^
Merci

Share this post


Link to post
Share on other sites
Bonjour,

Je travaille avec prestashop 1.4.2.5.
J'ai installé le module donnée en page 15 et le fr.php avec, il fonctionne mis à part que je ne peux ni éditer ni mettre en forme le texte.
Quelqu'un saurait-il pourquoi ?

Merci d'avance

P.S. : Je ne suis pas bonne en anglais alors si ce problème a été résolu en anglais j'aimerais bien que quelqu'un me dise la solution en français ^^
Merci


google translate ;-) http://translate.google.de/#auto|en|

Hello,

I work with prestashop 1.4.2.5.
I installed the module on Page 15 and en.php with, it works except that I can edit or format the text.
Does anyone know why?

Thank you in advance

PS: I'm not good in English so if this problem has been resolved in English I would like someone to tell me the solution in French ^ ^
Thank you

Share this post


Link to post
Share on other sites
I'm sorry not to have translated.

Thank you Sticki


you're welcome, my english is not so good, too, so I do it always like this ;-)

Share this post


Link to post
Share on other sites

I'm using FAQ from page 15. with ps 1.4.2. Does any one having problem with IE8. works fine on firefox and safari. however. it doesn't work on IE8. please help

Share this post


Link to post
Share on other sites

Hi to all.

I made Ukrainian translate (UA) for FAQ module.

Enjoy! )))

ua.php

Share this post


Link to post
Share on other sites

Bonjour Sticki :)

Quelle version du module avez-vous ?

Share this post


Link to post
Share on other sites

Bonjour à tous,

I have the same problem :
* PS 1.4.3.0
* the version shown in message 212
* the fr.php
under W7 and IE9 (or Chrome)

Under Edit, I can't edit or format the text.
I have only the questions (and not the answers)
If I erase a question, its id is lost. For example, we make questions 1, 2 and 3. We erase the 2 and the 3. Next creation will be the 4.
In short, there is no call to the editor and many operations incorrect

I dont use the "faq.1.4_tinymcefix.zip"

Au secours !
:-S

Share this post


Link to post
Share on other sites

Si vous voulez l'editeur de texte il faut utiliser tinymcefix.

Avez-vous vérifié dans la base de donnée si les id des questions étaient supprimés ?

Le module marche parfaitement chez moi, en version Prestashop 1.4.3

Share this post


Link to post
Share on other sites

Merci pour l'info.
Question de newbie :
Peut-on impunément remplacer faq.php (seul source ayant des modifications importantes), en dur, dans le module faq, ou bien faut-il obligatoirement déinstaller la version en cours et réinstaller la nouvelle ?
Merci

Share this post


Link to post
Share on other sites

Non c'est possible :)

ci-joint mon module opérationnel. Je te conseille de le réinitialiser en BO. Et d'arranger les fichiers tpl, css et img à ta convenance.

Au boulot!

faq.zip

Share this post


Link to post
Share on other sites

Dans le doute, déinstallation et réinstallation (mais je reste demandeur pour la question du remplacement en dur).
C'est effectivement beaucoup mieux.

Ne subsiste que le problème des ID supprimées : on cré les questions 1, 2, 3 et 4
On efface la 3. Le tableau récapitulatif des questions contient les ID 1, 2 et 4 .
Par contre sur le site, il y a bien eu renumérotation et on a bien dans l'ordre les questions 1, 2 et 3.

Pas terrible pour s'y retrouver si la faq est un peu longue et qu'elle a déjà du vécu.
@+++

Share this post


Link to post
Share on other sites

Pardon Eolia, posts croisés.
Il me semble que le faq.zip que tu as attaché ne contient pas la modif tinymcefix
Cordialement

Share this post


Link to post
Share on other sites

le remplacement en dur est possible si le nombre et le nom des tables dans la base de données restent les mêmes.

Ci-joint le fichier faq.php modifié pour fonctionner avec la version 4. Comme chez moi ça ne marche pas j'ai gardé l'ancienne version et rajouté le répertoire tinymce dans js/.

Pour le problème des Id en Bo c'est un peu obligatoire avec une base de données (comme pour tes clients ou commandes) car la valeur de l'Id s'auto-incrémente (+1) à chaque nouvelle donnée inscrite. C'est moins génant pour un module comme celui-ci qui ne fait pas référence à d'autres éléments (sauf si tu utilise plusieurs langues dans ta boutique, la table ps_faq_lang utilise cet Id pour faire correspondre les textes traduits).
Si cela te gène tu peux toujours aller dans ta base avec phpmyadmin et corriger les n°.
Il est plus simple à mon avis de remplacer les textes (questions/réponses) que de les supprimer. C'est juste un avis;

faq.php

Share this post


Link to post
Share on other sites

English :

I just installed this module (v1.3.2). It is very easy to use, but I do have a problem ...

So I see on the left, but when I click on FAQ, I then a blank page. Yet I have created two questions with answers.

thank you for your help

Français :

Je viens d’installer ce module (v1.3.2). Il est très simple d’utilisation, mais j'ai quand même un problème…

Je le vois bien sur la colonne de gauche, mais quand je clique sur FAQ, j’ai ensuite une page vierge. Pourtant j’ai créé 2 question avec réponse.

merci pour votre aide

Share this post


Link to post
Share on other sites

It is because there is a syntax error in the template file faq.tpl.

 

Go to line 3, find {include file=$tpl_dir./breadcrumb.tpl} and update it to {include file="$tpl_dir./breadcrumb.tpl"}. It missing "" in the original file.

 

This is for PS 1.4.3. Just one thing that I need to fix is the faq page layout that is broken on my site.

  • Like 1

Share this post


Link to post
Share on other sites

What a great module! i changed the faq.thp like mentioned a few posts above and it works great now. thanks alot

Share this post


Link to post
Share on other sites

I downloaded the version in message 212, i use prestashop 1.4.2.5, and it's work.

Just to say

 

THANK YOU

Share this post


Link to post
Share on other sites

Works fine with 1.4.4

 

Just trying to figure out how to open the page with all FAQ's collapsed.

 

Can anyone help?

Share this post


Link to post
Share on other sites

hi,

i'm on prestashop 1.4 and installed faq all is working but the answer does not show up or even get saved in the back office

thanks for your help :)

 

bonjour, je suis sur prestashop 1.4 et j'ai installé faq, tout fonctionne sauf la reponse qui n'apparait pas et ne s'enregistre meme pas dans le back office

merci pour votre aide :)

Share this post


Link to post
Share on other sites

I have installed the FAQ module and it shows in the back office, I am able to type questions and the box shows in the front office, but when I press the link to goto the FAQ page, I get a 500 internal server error. My permissions are set to 777.

 

I also get "Additionally, a 404 Not Found error was encountered while trying to use an ErrorDocument to handle the request." on the same page as the 500 internal error.

 

 

Thanks for any help

Share this post


Link to post
Share on other sites

Hello,

I installed the module on a PrestaShop 1.4.3 and it works partially.

My questions / answers are displayed well in front-office, but I can not change the answers once registered.

In addition, the tinyMCE does not display in the admin.

I have not found a compatible version on sourceforge ...

 

---

 

Bonjour,

J'ai installé le module sur un PrestaShop 1.4.3 et cela fonctionne partiellement.

Mes questions/réponses s'affichent bien en front-office, mais je ne peux pas modifier les réponses une fois enregistrées.

De plus le tinyMCE ne s'affiche pas dans l'admin.

Je n'ai pas trouvé de version suposées être compatible sur sourceforge...

Share this post


Link to post
Share on other sites

Hello,

I installed the module on a PrestaShop 1.4.3 and it works partially.

My questions / answers are displayed well in front-office, but I can not change the answers once registered.

In addition, the tinyMCE does not display in the admin.

I have not found a compatible version on sourceforge ...

 

---

 

Bonjour,

J'ai installé le module sur un PrestaShop 1.4.3 et cela fonctionne partiellement.

Mes questions/réponses s'affichent bien en front-office, mais je ne peux pas modifier les réponses une fois enregistrées.

De plus le tinyMCE ne s'affiche pas dans l'admin.

Je n'ai pas trouvé de version suposées être compatible sur sourceforge...

 

Essayez avec celui-ci qui fonctionne chez moi en 1.4.25

Try this

faq.zip

 

Share this post


Link to post
Share on other sites

Anglais : I have a problem with the module faq ...

I can not understand the error was PHP and I do not know what to do: (..

 

If anyone can help me ...

Here's the error:

 

 

Francais : J'ai un problème avec le module faq...

J'arrive pas a comprendre l'erreur PHP et je ne sais pas quoi faire :( ..

 

Si quelqu'un peut m'aider ...

Voici l'erreur :

 

 

Fatal error: Uncaught exception 'SmartyCompilerException' with message 'Syntax Error in template "/homez.403/teramer/www/complements-alimentaires/modules/faq/faq.tpl" on line 3 "{include file=$tpl_dir./breadcrumb.tpl}" - Unexpected "/", expected one of: "{" , "$" , "identifier" , INTEGER' in /homez.403/teramer/www/complements-alimentaires/tools/smarty/sysplugins/smarty_internal_templatecompilerbase.php:431 Stack trace: #0 /homez.403/teramer/www/complements-alimentaires/tools/smarty/sysplugins/smarty_internal_templateparser.php(2855): Smarty_Internal_TemplateCompilerBase->trigger_template_error() #1 /homez.403/teramer/www/complements-alimentaires/tools/smarty/sysplugins/smarty_internal_templateparser.php(2920): Smarty_Internal_Templateparser->yy_syntax_error(37, '/') #2 /homez.403/teramer/www/complements-alimentaires/tools/smarty/sysplugins/smarty_internal_smartytemplatecompiler.php(51): Smarty_Internal_Templateparser->doParse(37, '/') #3 /homez.403/teramer/www/complements-alimentaires/tools/smarty/sysplugins/smarty_inte in /homez.403/teramer/www/complements-alimentaires/tools/smarty/sysplugins/smarty_internal_templatecompilerbase.php on line 431

 

Thank you in advance for your support ...

Merci d'avance pour votre soutien ...

Share this post


Link to post
Share on other sites

Bonsoir,

 

Est-ce que ta ligne n°3 du fichier faq.tpl ressemble à cela :

{include file="$tpl_dir./breadcrumb.tpl"}

 

 

si oui le problème se situe dans smarty. Utilise-tu smarty 2 ou 3 ?

Essayer de vider le cache smarty et le repertoire tools/smarty/compile (sauf le fichier index.php)

 

Si non recharger le fichier faq.zip cité plus haut.

Share this post


Link to post
Share on other sites

Bonsoir,

 

Est-ce que ta ligne n°3 du fichier faq.tpl ressemble à cela :

{include file="$tpl_dir./breadcrumb.tpl"}

 

 

si oui le problème se situe dans smarty. Utilise-tu smarty 2 ou 3 ?

Essayer de vider le cache smarty et le repertoire tools/smarty/compile (sauf le fichier index.php)

 

Si non recharger le fichier faq.zip cité plus haut.

 

J'avais la ligne : {include file="$tpl_dir./breadcrumb.tpl"}

J'ai donc vider cache smarty et j'utilise d'origine la 3 presta 1.4.4.0

Ensuite j'ai vidé le compile : sans succès :blink:

 

Et en téléchargeant le zip faq plus haut et en réinstallant tout... nickel ça marche :rolleyes:

Je crois que j'avais la version faq 1.3.2 alors que la c'est version 1.4

Merci pour ton soutien Eolia

Share this post


Link to post
Share on other sites

Hello,

I installed the module on a PrestaShop 1.4.3 and it works partially.

My questions / answers are displayed well in front-office, but I can not change the answers once registered.

In addition, the tinyMCE does not display in the admin.

I have not found a compatible version on sourceforge ...

 

---

 

Bonjour,

J'ai installé le module sur un PrestaShop 1.4.3 et cela fonctionne partiellement.

Mes questions/réponses s'affichent bien en front-office, mais je ne peux pas modifier les réponses une fois enregistrées.

De plus le tinyMCE ne s'affiche pas dans l'admin.

Je n'ai pas trouvé de version suposées être compatible sur sourceforge...

 

Essayez avec celui-ci qui fonctionne chez moi en 1.4.25

Try this

faq.zip

 

 

Merci beaucoup pour ta réponse.

Hélas ce module est celui que j'avais installé (v1.4.0). Dans le doute j'ai remplacé les fichiers, mais j'ai le même problème...

Share this post


Link to post
Share on other sites

Hello,

I installed the module on a PrestaShop 1.4.3 and it works partially.

My questions / answers are displayed well in front-office, but I can not change the answers once registered.

In addition, the tinyMCE does not display in the admin.

I have not found a compatible version on sourceforge ...

 

---

 

Bonjour,

J'ai installé le module sur un PrestaShop 1.4.3 et cela fonctionne partiellement.

Mes questions/réponses s'affichent bien en front-office, mais je ne peux pas modifier les réponses une fois enregistrées.

De plus le tinyMCE ne s'affiche pas dans l'admin.

Je n'ai pas trouvé de version suposées être compatible sur sourceforge...

 

Essayez avec celui-ci qui fonctionne chez moi en 1.4.25

Try this

faq.zip

 

 

Merci beaucoup pour ta réponse.

Hélas ce module est celui que j'avais installé (v1.4.0). Dans le doute j'ai remplacé les fichiers, mais j'ai le même problème...

 

 

J'ai pu également constater que je ne pouvez pas modifier les réponse du FAQ crée ...

Du coup j'ai un petit fichier txt de sauvegarde pour supprimer et réécrire au besoin ^^

 

Si ya une solution ceux ci dis je suis preneur ;)

Share this post


Link to post
Share on other sites

It`s not working in prestashop 1.4.4.1 with velvet sky theme either . ut congratulation for all of you that made this modul and for the translators

Share this post


Link to post
Share on other sites

Bonjour Eolia,

 

Problème de fonctionnement pour moi aussi (Prestashop 1.4.4). En tapant faq.php je tombe sur la 404 et TinyMCE ne s'affiche pas dans l'admin... J'utilise la dernière version de faq sur ce forum (1.4 il me semble). Côté Hooks, il est dans le header et left_column.

Je l'ai bien sur supprimé, réinitialisé, réinstallé, etc... Y-a-t'il une solution ?

 

Merci.

Share this post


Link to post
Share on other sites

ok... all is working great now but css is missing... I installed tinyMCE version of faq and used modules/faq/faqs.php as link.

 

I don't have <link href="/modules/faq/lib/apple.css" rel="stylesheet" type="text/css" media="all" /> in the header. I checked faq-header.tpl and it's on it. Can you help ?

  • Like 1

Share this post


Link to post
Share on other sites

ok... all is working great now but css is missing... I installed tinyMCE version of faq and used modules/faq/faqs.php as link.

 

I don't have <link href="/modules/faq/lib/apple.css" rel="stylesheet" type="text/css" media="all" /> in the header. I checked faq-header.tpl and it's on it. Can you help ?

 

Salut dfuzion,

Peux-tu me dire comment tu as réussi à le faire fonctionner correctement, car il semblerai que j'ai a peu près les mêmes problèmes que toi...

 

Merci d'avance !

Share this post


Link to post
Share on other sites

hi, first of all, thanks for this superb module!

I got a lil problem, how to show/edit page title of FAQ module.

If you check http://demo.kadome.com/faq you will notice that the page title is only the shop name, I couldn't findd how to edit it.

 

Thannks alot for your help

Share this post


Link to post
Share on other sites

hi, first of all, thanks for this superb module!

I got a lil problem, how to show/edit page title of FAQ module.

If you check http://demo.kadome.com/faq you will notice that the page title is only the shop name, I couldn't findd how to edit it.

 

Thannks alot for your help

Are you going to see the translation of the modules? You can translate "Frequently ask questions" or "FAQ"and other expressions.

Share this post


Link to post
Share on other sites

 

Salut dfuzion,

Peux-tu me dire comment tu as réussi à le faire fonctionner correctement, car il semblerai que j'ai a peu près les mêmes problèmes que toi...

 

Merci d'avance !

 

Hi,

 

I simply added in faq.tpl :

 

<link href="{$module_dir}lib/apple.css" rel="stylesheet" type="text/css" media="all" />

 

Best.

Share this post


Link to post
Share on other sites

So, I was hoping somebody could help me out here, I am using matrice as a base. I am hoping to use this module as well. But it is frustrating to me that It is pushing the left column down. here are some pictures to show what it is doing now and what I would like it to do. I hope somebody could help me out.

 

http://img171.imageshack.us/img171/5383/dontwant.jpg

http://img690.imageshack.us/img690/3350/dowanth.jpg

 

Thanks for any help I can get.

Share this post


Link to post
Share on other sites

le remplacement en dur est possible si le nombre et le nom des tables dans la base de données restent les mêmes.

Ci-joint le fichier faq.php modifié pour fonctionner avec la version 4. Comme chez moi ça ne marche pas j'ai gardé l'ancienne version et rajouté le répertoire tinymce dans js/.

Pour le problème des Id en Bo c'est un peu obligatoire avec une base de données (comme pour tes clients ou commandes) car la valeur de l'Id s'auto-incrémente (+1) à chaque nouvelle donnée inscrite. C'est moins génant pour un module comme celui-ci qui ne fait pas référence à d'autres éléments (sauf si tu utilise plusieurs langues dans ta boutique, la table ps_faq_lang utilise cet Id pour faire correspondre les textes traduits).

Si cela te gène tu peux toujours aller dans ta base avec phpmyadmin et corriger les n°.

Il est plus simple à mon avis de remplacer les textes (questions/réponses) que de les supprimer. C'est juste un avis;

 

Merci Eolia ! faq.php works fine for me :)

Share this post


Link to post
Share on other sites

Bonsoir,

 

Serait il possible de m'aider car je viens d'installer la version 1.4 de la faq (sous ps 1.4.4.1) et je n'ai pas d'editeur de texte. Comment faire svp?

 

merci d'avance

Share this post


Link to post
Share on other sites

Bonsoir,

 

Serait il possible de m'aider car je viens d'installer la version 1.4 de la faq (sous ps 1.4.4.1) et je n'ai pas d'editeur de texte. Comment faire svp?

 

merci d'avance

Va voir les messages 212 et 215, cela devrait fonctionner :)

Share this post


Link to post
Share on other sites

Va voir les messages 212 et 215, cela devrait fonctionner :)

 

j'ai pâs tout compris. ^^ le post 215 ne donne que pour la langue non? or moi ce n'est pas ce qui m'interresse. Je veux pouvoir mettre en gras, e, italique ou souligné certaines choses. et je ne peux pas le faire vu que je n'ai pas l'editeur de texte.

 

par rapport au post 215 que tu me donnes.

1/ la ligne 260 est vierge.

2/ la ligne 290 est vierge egalement. ce qui est autour c'est pour le language

Share this post


Link to post
Share on other sites

Alors le post 237 ?

 

Moi je suis sous presta 1.4 avec la version du post 212 et tout fonctionne.

vérifie le chemin indiqué pour tinymce dans ton fichier.

Share this post


Link to post
Share on other sites

Hi All

 

There is a problem with this module on my site:

http://simlock48.pl/...s.php?id_lang=1

 

The content of each question doesn't open.

 

SOLVED

 

Hello, worldwideunlock. I'm having the same issues with PS 1.3.6 :S. Could you please tell me how did you solve it?

Share this post


Link to post
Share on other sites

It is because there is a syntax error in the template file faq.tpl.

 

Go to line 3, find {include file=$tpl_dir./breadcrumb.tpl} and update it to {include file="$tpl_dir./breadcrumb.tpl"}. It missing "" in the original file.

 

Thanks Anisjournal,

 

That syntax error in the template file faq.tpl was exactly my issue.

Share this post


Link to post
Share on other sites

Bonjour Cher Prestashopien (nes),

 

Je viens d'installer ce module.

Je veux juste me servir pour en faire un lien vers un CMS, c'est possible selon vous ?

 

De plus, savez-vous comment on désactive l'affichage du bloc, je veux juste garder le lien URL pour en faire un lien venant d'un CMS.

 

Merci à vous

Share this post


Link to post
Share on other sites

Bonjour Cher Prestashopien (nes),

 

Je viens d'installer ce module.

Je veux juste me servir pour en faire un lien vers un CMS, c'est possible selon vous ?

 

De plus, savez-vous comment on désactive l'affichage du bloc, je veux juste garder le lien URL pour en faire un lien venant d'un CMS.

 

Merci à vous

Bonjour,

je n'arrive pas bien à te suivre...Si tu veux juste un moyen de faire des liens en url il y a plein de menus déroulants qui le proposent déjà.

Si tu veux un bloc avec des liens, celui-ci est en natif dans prestashop (blockcms).

Et si tu ne veux pas afficher le bloc comment permettre l'affichage des liens (venant d'un cms!)?

Donc: Peux-tu nous dire ce que tu veux faire et on essayera de trouver une solution :)

Enfin si tu veux mettre des liens dans les réponses de la faq, c'est possible.

 

Eolia

Share this post


Link to post
Share on other sites

Bonjours à tous,

 

Comment faire pour avoir le <title> sur la page FAQ ? Il n'y a que le nom du magasin pour l'instant. Je pense que la variable est $meta_title qu'il faut assigner à smarty mais je ne sais pas comment faire.

 

Hello,

 

How can I have the meta <title> on my FAQ page ? There is only the shop's name and I think the data is in $meta_title (which is used in header.tpl) but I don't know how and where I can put "FAQ" on this. I modified the file header-top.tpl but it doesn't work. (sorry for my english)

Share this post


Link to post
Share on other sites

Hi !

 

I am trying the module with PS 1.4.5.1 and is not working!

 

Is putting the content to the DB fine, is not retrieving Answer when editing it.

 

In the frontend, it loads the block in the column but doesnt render the page!!!

 

Thanks :)

Share this post


Link to post
Share on other sites

Hi !

 

I am trying the module with PS 1.4.5.1 and is not working!

 

Is putting the content to the DB fine, is not retrieving Answer when editing it.

 

In the frontend, it loads the block in the column but doesnt render the page!!!

 

Thanks :)

 

Exactly the same here.. Same version of PS btw..

 

Thanks for the answer :)

Share this post


Link to post
Share on other sites